LoadModule actions_module modules/mod_actions.so
LoadModule alias_module modules/mod_alias.so
+LoadModule asis_module modules/mod_asis.so
LoadModule auth_basic_module modules/mod_auth_basic.so
<IfDefine AUTH_DIGEST>
LoadModule auth_digest_module modules/mod_auth_digest.so
</IfDefine>
LoadModule authn_alias_module modules/mod_authn_alias.so
LoadModule authn_anon_module modules/mod_authn_anon.so
+LoadModule authn_dbd_module modules/mod_authn_dbd.so
LoadModule authn_dbm_module modules/mod_authn_dbm.so
LoadModule authn_default_module modules/mod_authn_default.so
LoadModule authn_file_module modules/mod_authn_file.so
<IfDefine CACHE>
LoadModule cache_module modules/mod_cache.so
</IfDefine>
+LoadModule cern_meta_module modules/mod_cern_meta.so
LoadModule cgi_module modules/mod_cgi.so
LoadModule cgid_module modules/mod_cgid.so
+LoadModule charset_lite_module modules/mod_charset_lite.so
<IfDefine DAV>
LoadModule dav_module modules/mod_dav.so
</IfDefine>
<IfDefine DAV>
LoadModule dav_lock_module modules/mod_dav_lock.so
</IfDefine>
+LoadModule dbd_module modules/mod_dbd.so
LoadModule deflate_module modules/mod_deflate.so
LoadModule dir_module modules/mod_dir.so
<IfDefine CACHE>
LoadModule disk_cache_module modules/mod_disk_cache.so
</IfDefine>
+LoadModule dumpio_module modules/mod_dumpio.so
LoadModule env_module modules/mod_env.so
LoadModule expires_module modules/mod_expires.so
LoadModule ext_filter_module modules/mod_ext_filter.so
</IfDefine>
LoadModule filter_module modules/mod_filter.so
LoadModule headers_module modules/mod_headers.so
+LoadModule ident_module modules/mod_ident.so
+LoadModule imagemap_module modules/mod_imagemap.so
LoadModule include_module modules/mod_include.so
<IfDefine INFO>
LoadModule info_module modules/mod_info.so
LoadModule ldap_module modules/mod_ldap.so
</IfDefine>
LoadModule log_config_module modules/mod_log_config.so
+LoadModule log_forensic_module modules/mod_log_forensic.so
LoadModule logio_module modules/mod_logio.so
<IfDefine CACHE>
LoadModule mem_cache_module modules/mod_mem_cache.so
LoadModule mime_module modules/mod_mime.so
LoadModule mime_magic_module modules/mod_mime_magic.so
LoadModule negotiation_module modules/mod_negotiation.so
+<IfDefine PROXY>
+LoadModule proxy_module modules/mod_proxy.so
+</IfDefine>
+<IfDefine PROXY>
+LoadModule proxy_ajp_module modules/mod_proxy_ajp.so
+</IfDefine>
+<IfDefine PROXY>
+LoadModule proxy_balancer_module modules/mod_proxy_balancer.so
+</IfDefine>
+<IfDefine PROXY>
+LoadModule proxy_connect_module modules/mod_proxy_connect.so
+</IfDefine>
+<IfDefine PROXY>
+LoadModule proxy_ftp_module modules/mod_proxy_ftp.so
+</IfDefine>
+<IfDefine PROXY>
+LoadModule proxy_http_module modules/mod_proxy_http.so
+</IfDefine>
LoadModule rewrite_module modules/mod_rewrite.so
LoadModule setenvif_module modules/mod_setenvif.so
LoadModule speling_module modules/mod_speling.so
<IfDefine STATUS>
LoadModule status_module modules/mod_status.so
</IfDefine>
+LoadModule substitute_module modules/mod_substitute.so
<IfDefine SUEXEC>
LoadModule suexec_module modules/mod_suexec.so
</IfDefine>
LoadModule userdir_module modules/mod_userdir.so
</IfDefine>
LoadModule usertrack_module modules/mod_usertrack.so
+LoadModule version_module modules/mod_version.so
LoadModule vhost_alias_module modules/mod_vhost_alias.so
# If you wish httpd to run as a different user or group, you must run
# http://cnswww.cns.cwru.edu/~chet/bash/FAQ (E11)
shopt -s checkwinsize
+# Disable completion when the input buffer is empty. i.e. Hitting tab
+# and waiting a long time for bash to expand all of $PATH.
+shopt -s no_empty_cmd_completion
+
# Enable history appending instead of overwriting. #139609
shopt -s histappend
+# Save each command to the history file as it's executed. #517342
+# This does mean sessions get interleaved when reading later on, but this
+# way the history is always up to date. History is not synced across live
+# sessions though; that is what `history -n` does.
+# Disabled by default due to concerns related to system recovery when $HOME
+# is under duress, or lives somewhere flaky (like NFS). Constantly syncing
+# the history will halt the shell prompt until it's finished.
+PROMPT_COMMAND='history -a'
+
# Change the window title of X terminals
case ${TERM} in
xterm*|rxvt*|Eterm*|aterm|kterm|gnome*|interix|konsole*)
- PROMPT_COMMAND='echo -ne "\033]0;${USER}@${HOSTNAME%%.*}:${PWD/#$HOME/~}\007"'
+ PROMPT_COMMAND='history -a; echo -ne "\033]0;${USER}@${HOSTNAME%%.*}:${PWD/#$HOME/~}\007"'
;;
screen*)
- PROMPT_COMMAND='echo -ne "\033_${USER}@${HOSTNAME%%.*}:${PWD/#$HOME/~}\033\\"'
+ PROMPT_COMMAND='history -a; echo -ne "\033_${USER}@${HOSTNAME%%.*}:${PWD/#$HOME/~}\033\\"'
;;
esac
fi
fi
+for sh in /etc/bash/bashrc.d/* ; do
+ [[ -r ${sh} ]] && source "${sh}"
+done
+
# Try to keep environment pollution down, EPA loves us.
unset safe_term match_lhs
--- /dev/null
+# Check for interactive bash and that we haven't already been sourced.
+if [ -n "$BASH_VERSION" -a -n "$PS1" -a -z "$BASH_COMPLETION_COMPAT_DIR" ]; then
+
+ # Check for recent enough version of bash.
+ if [ ${BASH_VERSINFO[0]} -gt 4 ] || \
+ [ ${BASH_VERSINFO[0]} -eq 4 -a ${BASH_VERSINFO[1]} -ge 1 ]; then
+ [ -r "${XDG_CONFIG_HOME:-$HOME/.config}/bash_completion" ] && \
+ . "${XDG_CONFIG_HOME:-$HOME/.config}/bash_completion"
+ if shopt -q progcomp && [ -r /usr/share/bash-completion/bash_completion ]; then
+ # Source completion code.
+ . /usr/share/bash-completion/bash_completion
+ fi
+ fi
+
+fi
--- /dev/null
+# /etc/bash/bashrc
+#
+# This file is sourced by all *interactive* bash shells on startup,
+# including some apparently interactive shells such as scp and rcp
+# that can't tolerate any output. So make sure this doesn't display
+# anything or bad things will happen !
+
+
+# Test for an interactive shell. There is no need to set anything
+# past this point for scp and rcp, and it's important to refrain from
+# outputting anything in those cases.
+if [[ $- != *i* ]] ; then
+ # Shell is non-interactive. Be done now!
+ return
+fi
+
+# Bash won't get SIGWINCH if another process is in the foreground.
+# Enable checkwinsize so that bash will check the terminal size when
+# it regains control. #65623
+# http://cnswww.cns.cwru.edu/~chet/bash/FAQ (E11)
+shopt -s checkwinsize
+
+# Disable completion when the input buffer is empty. i.e. Hitting tab
+# and waiting a long time for bash to expand all of $PATH.
+shopt -s no_empty_cmd_completion
+
+# Enable history appending instead of overwriting when exiting. #139609
+shopt -s histappend
+
+# Save each command to the history file as it's executed. #517342
+# This does mean sessions get interleaved when reading later on, but this
+# way the history is always up to date. History is not synced across live
+# sessions though; that is what `history -n` does.
+# Disabled by default due to concerns related to system recovery when $HOME
+# is under duress, or lives somewhere flaky (like NFS). Constantly syncing
+# the history will halt the shell prompt until it's finished.
+#PROMPT_COMMAND='history -a'
+
+# Change the window title of X terminals
+case ${TERM} in
+ xterm*|rxvt*|Eterm*|aterm|kterm|gnome*|interix|konsole*)
+ PS1='\[\033]0;\u@\h:\w\007\]'
+ ;;
+ screen*)
+ PS1='\[\033k\u@\h:\w\033\\\]'
+ ;;
+ *)
+ unset PS1
+ ;;
+esac
+
+use_color=false
+
+# Set colorful PS1 only on colorful terminals.
+# dircolors --print-database uses its own built-in database
+# instead of using /etc/DIR_COLORS. Try to use the external file
+# first to take advantage of user additions. Use internal bash
+# globbing instead of external grep binary.
+safe_term=${TERM//[^[:alnum:]]/?} # sanitize TERM
+match_lhs=""
+[[ -f ~/.dir_colors ]] && match_lhs="${match_lhs}$(<~/.dir_colors)"
+[[ -f /etc/DIR_COLORS ]] && match_lhs="${match_lhs}$(</etc/DIR_COLORS)"
+[[ -z ${match_lhs} ]] \
+ && type -P dircolors >/dev/null \
+ && match_lhs=$(dircolors --print-database)
+[[ $'\n'${match_lhs} == *$'\n'"TERM "${safe_term}* ]] && use_color=true
+
+if ${use_color} ; then
+ # Enable colors for ls, etc. Prefer ~/.dir_colors #64489
+ if type -P dircolors >/dev/null ; then
+ if [[ -f ~/.dir_colors ]] ; then
+ eval $(dircolors -b ~/.dir_colors)
+ elif [[ -f /etc/DIR_COLORS ]] ; then
+ eval $(dircolors -b /etc/DIR_COLORS)
+ fi
+ fi
+
+ if [[ ${EUID} == 0 ]] ; then
+ PS1+='\[\033[01;31m\]\h\[\033[01;34m\] \W \$\[\033[00m\] '
+ else
+ PS1+='\[\033[01;32m\]\u@\h\[\033[01;34m\] \w \$\[\033[00m\] '
+ fi
+
+ alias ls='ls --color=auto'
+ alias grep='grep --colour=auto'
+ alias egrep='egrep --colour=auto'
+ alias fgrep='fgrep --colour=auto'
+else
+ if [[ ${EUID} == 0 ]] ; then
+ # show root@ when we don't have colors
+ PS1+='\u@\h \W \$ '
+ else
+ PS1+='\u@\h \w \$ '
+ fi
+fi
+
+for sh in /etc/bash/bashrc.d/* ; do
+ [[ -r ${sh} ]] && source "${sh}"
+done
+
+# Try to keep environment pollution down, EPA loves us.
+unset use_color safe_term match_lhs sh
--- /dev/null
+# Gentoo init.d completion
+#
+# $Id$
+#
+# Copyright 1999-2009 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License, v2 or later
+
+_gentoo_style_init()
+{
+ local script="${COMP_WORDS[0]}"
+ local cur="${COMP_WORDS[$COMP_CWORD]}"
+
+ if [[ ( -f "${script}" || -h "${script}" ) && -r "${script}" ]] \
+ && [[ "${script}" != *.sh ]] \
+ && [[ "$(head -n 1 "${script}")" = "#!/sbin/runscript" ]]
+ then
+ [[ $COMP_CWORD -gt 1 ]] && return 1
+ COMPREPLY=($(opts="start stop status restart pause zap ineed needsme iuse usesme broken"; \
+ eval "$(grep '^opts=' "${script}")"; echo "${opts}"))
+ [[ -n "$COMPREPLY" ]] || COMPREPLY=(start stop restart zap)
+ COMPREPLY=($(compgen -W "${COMPREPLY[*]}" -- "${cur}"))
+ else
+ COMPREPLY=($(compgen -o default -- "${cur}"))
+ fi
+ return 0
+}
+complete -F _gentoo_style_init /etc/init.d/*
# Change the window title of X terminals
case ${TERM} in
- xterm*|rxvt*|Eterm*|aterm|kterm|gnome*|interix)
+ xterm*|rxvt*|Eterm*|aterm|kterm|gnome*|interix|konsole*)
PROMPT_COMMAND='echo -ne "\033]0;${USER}@${HOSTNAME%%.*}:${PWD/#$HOME/~}\007"'
;;
screen*)
# Change the window title of X terminals
case ${TERM} in
- xterm*|rxvt*|Eterm|aterm|kterm|gnome*|interix)
+ xterm*|rxvt*|Eterm*|aterm|kterm|gnome*|interix)
PROMPT_COMMAND='echo -ne "\033]0;${USER}@${HOSTNAME%%.*}:${PWD/#$HOME/~}\007"'
;;
- screen)
+ screen*)
PROMPT_COMMAND='echo -ne "\033_${USER}@${HOSTNAME%%.*}:${PWD/#$HOME/~}\033\\"'
;;
esac
fi
alias ls='ls --color=auto'
- #alias grep='grep --colour=auto'
+ alias grep='grep --colour=auto'
+ alias egrep='egrep --colour=auto'
+ alias fgrep='fgrep --colour=auto'
else
if [[ ${EUID} == 0 ]] ; then
# show root@ when we don't have colors
. /usr/share/mc/mc.gentoo
fi
-#if [ -e /etc/bash_completion.d/git -o "${HOME}"/.bash_completion.d/git ] ; then
-# #echo "/etc/bash_completion.d/git or ${HOME}/.bash_completion.d/git exists ..."
-# if ${use_color} ; then
-# if [ "$UID" = 0 ]; then
-# PS1='$? \[\033[01;31m\]\h\[\033[01;30m\]:\[\033[01;34m\]\w\[\033[01;31m\]$(__git_ps1)\[\033[01;34m\] \$ \[\033[00m\]'
-# else
-# PS1='$? \[\033[01;32m\]\u@\h\[\033[00m\]:\[\033[01;34m\]\w\[\033[01;31m\]$(__git_ps1)\[\033[01;34m\] > \[\033[00m\]'
-# fi
-# else
-# if [ "$UID" = 0 ]; then
-# PS1='$? \h:\w$(__git_ps1) \$ '
-# else
-# PS1='$? \u@\h:\w$(__git_ps1) > '
-# fi
-# fi
-#fi
+if [ -e /etc/bash_completion.d/git -o "${HOME}"/.bash_completion.d/git ] ; then
+ #echo "/etc/bash_completion.d/git or ${HOME}/.bash_completion.d/git exists ..."
+ if ${use_color} ; then
+ if [ "$UID" = 0 ]; then
+ PS1='$? \[\033[01;31m\]\h\[\033[01;30m\]:\[\033[01;34m\]\w\[\033[01;31m\]$(__git_ps1)\[\033[01;34m\] \$ \[\033[00m\]'
+ else
+ PS1='$? \[\033[01;32m\]\u@\h\[\033[00m\]:\[\033[01;34m\]\w\[\033[01;31m\]$(__git_ps1)\[\033[01;34m\] > \[\033[00m\]'
+ fi
+ else
+ if [ "$UID" = 0 ]; then
+ PS1='$? \h:\w$(__git_ps1) \$ '
+ else
+ PS1='$? \u@\h:\w$(__git_ps1) > '
+ fi
+ fi
+fi
unset use_color
--- /dev/null
+# /etc/bash/bashrc
+#
+# This file is sourced by all *interactive* bash shells on startup,
+# including some apparently interactive shells such as scp and rcp
+# that can't tolerate any output. So make sure this doesn't display
+# anything or bad things will happen !
+
+
+# Test for an interactive shell. There is no need to set anything
+# past this point for scp and rcp, and it's important to refrain from
+# outputting anything in those cases.
+if [[ $- != *i* ]] ; then
+ # Shell is non-interactive. Be done now!
+ return
+fi
+
+# Bash won't get SIGWINCH if another process is in the foreground.
+# Enable checkwinsize so that bash will check the terminal size when
+# it regains control. #65623
+# http://cnswww.cns.cwru.edu/~chet/bash/FAQ (E11)
+shopt -s checkwinsize
+
+# Enable history appending instead of overwriting. #139609
+shopt -s histappend
+
+# Change the window title of X terminals
+case ${TERM} in
+ xterm*|rxvt*|Eterm|aterm|kterm|gnome*|interix)
+ PROMPT_COMMAND='echo -ne "\033]0;${USER}@${HOSTNAME%%.*}:${PWD/#$HOME/~}\007"'
+ ;;
+ screen)
+ PROMPT_COMMAND='echo -ne "\033_${USER}@${HOSTNAME%%.*}:${PWD/#$HOME/~}\033\\"'
+ ;;
+esac
+
+use_color=false
+
+# Set colorful PS1 only on colorful terminals.
+# dircolors --print-database uses its own built-in database
+# instead of using /etc/DIR_COLORS. Try to use the external file
+# first to take advantage of user additions. Use internal bash
+# globbing instead of external grep binary.
+safe_term=${TERM//[^[:alnum:]]/?} # sanitize TERM
+match_lhs=""
+[[ -f ~/.dir_colors ]] && match_lhs="${match_lhs}$(<~/.dir_colors)"
+[[ -f /etc/DIR_COLORS ]] && match_lhs="${match_lhs}$(</etc/DIR_COLORS)"
+[[ -z ${match_lhs} ]] \
+ && type -P dircolors >/dev/null \
+ && match_lhs=$(dircolors --print-database)
+[[ $'\n'${match_lhs} == *$'\n'"TERM "${safe_term}* ]] && use_color=true
+
+if ${use_color} ; then
+ # Enable colors for ls, etc. Prefer ~/.dir_colors #64489
+ if type -P dircolors >/dev/null ; then
+ if [[ -f ~/.dir_colors ]] ; then
+ eval $(dircolors -b ~/.dir_colors)
+ elif [[ -f /etc/DIR_COLORS ]] ; then
+ eval $(dircolors -b /etc/DIR_COLORS)
+ fi
+ fi
+
+ if [[ ${EUID} == 0 ]] ; then
+ #PS1='\[\033[01;31m\]\h\[\033[01;34m\] \W \$\[\033[00m\] '
+ PS1='$? \[\033[01;31m\]\h\[\033[01;30m\]:\[\033[01;34m\]\w \$ \[\033[00m\]'
+ else
+ #PS1='\[\033[01;32m\]\u@\h\[\033[01;34m\] \w \$\[\033[00m\] '
+ PS1='$? \[\033[01;32m\]\u@\h\[\033[01;30m\]:\[\033[01;34m\]\w > \[\033[00m\]'
+ fi
+
+ alias ls='ls --color=auto'
+ #alias grep='grep --colour=auto'
+else
+ if [[ ${EUID} == 0 ]] ; then
+ # show root@ when we don't have colors
+ PS1='\u@\h \W \$ '
+ else
+ PS1='\u@\h \w \$ '
+ fi
+fi
+
+# Try to keep environment pollution down, EPA loves us.
+unset safe_term match_lhs
+
+if [ -d /usr/scripts ] ; then
+ export PATH="/usr/scripts:${PATH}"
+fi
+
+if [ -d "${HOME}/bin" ] ; then
+ export PATH="${PATH}:${HOME}/bin"
+fi
+
+if [ -d "$HOME/lib" ] ; then
+ if [ -d "$HOME/lib/perl" ] ; then
+ if [ -z "${PERL5LIB}" ] ; then
+ export PERL5LIB="$HOME/lib/perl"
+ else
+ export PERL5LIB="$HOME/lib/perl:${PERL5LIB}"
+ fi
+ fi
+ if [ -d "$HOME/lib/python" ] ; then
+ if [ -z "${PYTHONPATH}" ] ; then
+ export PYTHONPATH="$HOME/lib/python"
+ else
+ export PYTHONPATH="$HOME/lib/python:${PYTHONPATH}"
+ fi
+ fi
+fi
+
+
+#if [[ ${EUID} == 0 ]] ; then
+# alias ll="ls -lA"
+#else
+# alias ll="ls -l"
+#fi
+alias l="ls -l"
+alias ll="ls -lA"
+alias la="ls -la"
+alias md=mkdir
+alias rd=rmdir
+alias ..='cd ..'
+alias ...='cd ../..'
+alias cd..='cd ..'
+alias cd...='cd ../..'
+alias pl="ps -fu $USER"
+
+lcd() {
+ cd $( perl -e '
+use strict;
+use Cwd;
+my $new = shift;
+my $cwd = Cwd::abs_path(getcwd());
+my $newa = $cwd;
+if ($new){
+ $newa = Cwd::abs_path($new);
+ $newa = $cwd unless $newa;
+};
+printf("%s\n", $newa);
+' $1 )
+}
+
+export LESS="-R -M -I --shift 5"
+export LESSCHARSET="utf-8"
+
+HISTCONTROL=ignoreboth
+HISTSIZE=50000
+HISTFILESIZE=50000
+HISTTIMEFORMAT='%Y-%m-%d %H:%M:%S '
+
+if [ -f /usr/share/mc/mc.gentoo ]; then
+ . /usr/share/mc/mc.gentoo
+fi
+
+#if [ -e /etc/bash_completion.d/git -o "${HOME}"/.bash_completion.d/git ] ; then
+# #echo "/etc/bash_completion.d/git or ${HOME}/.bash_completion.d/git exists ..."
+# if ${use_color} ; then
+# if [ "$UID" = 0 ]; then
+# PS1='$? \[\033[01;31m\]\h\[\033[01;30m\]:\[\033[01;34m\]\w\[\033[01;31m\]$(__git_ps1)\[\033[01;34m\] \$ \[\033[00m\]'
+# else
+# PS1='$? \[\033[01;32m\]\u@\h\[\033[00m\]:\[\033[01;34m\]\w\[\033[01;31m\]$(__git_ps1)\[\033[01;34m\] > \[\033[00m\]'
+# fi
+# else
+# if [ "$UID" = 0 ]; then
+# PS1='$? \h:\w$(__git_ps1) \$ '
+# else
+# PS1='$? \u@\h:\w$(__git_ps1) > '
+# fi
+# fi
+#fi
+
+unset use_color
+
+# vim: ts=4 expandtab
--- /dev/null
+# /etc/bash/bashrc
+#
+# This file is sourced by all *interactive* bash shells on startup,
+# including some apparently interactive shells such as scp and rcp
+# that can't tolerate any output. So make sure this doesn't display
+# anything or bad things will happen !
+
+
+# Test for an interactive shell. There is no need to set anything
+# past this point for scp and rcp, and it's important to refrain from
+# outputting anything in those cases.
+if [[ $- != *i* ]] ; then
+ # Shell is non-interactive. Be done now!
+ return
+fi
+
+# Bash won't get SIGWINCH if another process is in the foreground.
+# Enable checkwinsize so that bash will check the terminal size when
+# it regains control. #65623
+# http://cnswww.cns.cwru.edu/~chet/bash/FAQ (E11)
+shopt -s checkwinsize
+
+# Disable completion when the input buffer is empty. i.e. Hitting tab
+# and waiting a long time for bash to expand all of $PATH.
+shopt -s no_empty_cmd_completion
+
+# Enable history appending instead of overwriting when exiting. #139609
+shopt -s histappend
+
+# Save each command to the history file as it's executed. #517342
+# This does mean sessions get interleaved when reading later on, but this
+# way the history is always up to date. History is not synced across live
+# sessions though; that is what `history -n` does.
+# Disabled by default due to concerns related to system recovery when $HOME
+# is under duress, or lives somewhere flaky (like NFS). Constantly syncing
+# the history will halt the shell prompt until it's finished.
+#PROMPT_COMMAND='history -a'
+
+# Change the window title of X terminals
+case ${TERM} in
+ xterm*|rxvt*|Eterm*|aterm|kterm|gnome*|interix|konsole*)
+ PS1='\[\033]0;\u@\h:\w\007\]'
+ ;;
+ screen*)
+ PS1='\[\033k\u@\h:\w\033\\\]'
+ ;;
+ *)
+ unset PS1
+ ;;
+esac
+
+use_color=false
+
+# Set colorful PS1 only on colorful terminals.
+# dircolors --print-database uses its own built-in database
+# instead of using /etc/DIR_COLORS. Try to use the external file
+# first to take advantage of user additions. Use internal bash
+# globbing instead of external grep binary.
+safe_term=${TERM//[^[:alnum:]]/?} # sanitize TERM
+match_lhs=""
+[[ -f ~/.dir_colors ]] && match_lhs="${match_lhs}$(<~/.dir_colors)"
+[[ -f /etc/DIR_COLORS ]] && match_lhs="${match_lhs}$(</etc/DIR_COLORS)"
+[[ -z ${match_lhs} ]] \
+ && type -P dircolors >/dev/null \
+ && match_lhs=$(dircolors --print-database)
+[[ $'\n'${match_lhs} == *$'\n'"TERM "${safe_term}* ]] && use_color=true
+
+if ${use_color} ; then
+ # Enable colors for ls, etc. Prefer ~/.dir_colors #64489
+ if type -P dircolors >/dev/null ; then
+ if [[ -f ~/.dir_colors ]] ; then
+ eval $(dircolors -b ~/.dir_colors)
+ elif [[ -f /etc/DIR_COLORS ]] ; then
+ eval $(dircolors -b /etc/DIR_COLORS)
+ fi
+ fi
+
+ if [[ ${EUID} == 0 ]] ; then
+ PS1+='\[\033[01;31m\]\h\[\033[01;34m\] \W \$\[\033[00m\] '
+ else
+ PS1+='\[\033[01;32m\]\u@\h\[\033[01;34m\] \w \$\[\033[00m\] '
+ fi
+
+ alias ls='ls --color=auto'
+ alias grep='grep --colour=auto'
+ alias egrep='egrep --colour=auto'
+ alias fgrep='fgrep --colour=auto'
+else
+ if [[ ${EUID} == 0 ]] ; then
+ # show root@ when we don't have colors
+ PS1+='\u@\h \W \$ '
+ else
+ PS1+='\u@\h \w \$ '
+ fi
+fi
+
+for sh in /etc/bash/bashrc.d/* ; do
+ [[ -r ${sh} ]] && source "${sh}"
+done
+
+# Try to keep environment pollution down, EPA loves us.
+unset use_color safe_term match_lhs sh
/var/log/rc.log {
- compress
- rotate 4
- weekly
missingok
notifempty
}
# The default value is: /var/log/rc.log
rc_log_path="/var/log/rc.log"
+# If you want verbose output for OpenRC, set this to yes. If you want
+# verbose output for service foo only, set it to yes in /etc/conf.d/foo.
+#rc_verbose=no
+
# By default we filter the environment for our running scripts. To allow other
# variables through, add them here. Use a * to allow all variables through.
#rc_env_allow="VAR1 VAR2"
#rc_crashed_stop=NO
#rc_crashed_start=YES
+# Set rc_nocolor to yes if you do not want colors displayed in OpenRC
+# output.
+#rc_nocolor=NO
+
##############################################################################
# MISC CONFIGURATION VARIABLES
# There variables are shared between many init scripts
# Below is the default list of network fstypes.
#
-# afs cifs coda davfs fuse fuse.sshfs gfs glusterfs lustre ncpfs
+# afs ceph cifs coda davfs fuse fuse.sshfs gfs glusterfs lustre ncpfs
# nfs nfs4 ocfs2 shfs smbfs
#
# If you would like to add to this list, you can do so by adding your
# Set unicode to YES to turn on unicode support for keyboards and screens.
unicode="YES"
+# This is how long fuser should wait for a remote server to respond. The
+# default is 60 seconds, but it can be adjusted here.
+#rc_fuser_timeout=60
+
# Below is the default list of network fstypes.
#
# afs cifs coda davfs fuse fuse.sshfs gfs glusterfs lustre ncpfs
# Some daemons are started and stopped via start-stop-daemon.
# We can set some things on a per service basis, like the nicelevel.
-#export SSD_NICELEVEL="-19"
+#SSD_NICELEVEL="-19"
# Pass ulimit parameters
#rc_ulimit="-u 30"
# consolefont, numlock, etc ...)
rc_tty_number=12
+##############################################################################
+# CGROUPS RESOURCE MANAGEMENT
+
# If you have cgroups turned on in your kernel, this switch controls
# whether or not a group for each controller is mounted under
# /sys/fs/cgroup.
-# Support for process management by cgroups is planned in the future,
-# so if you turn this off, be aware that you may not be able to use that
-# feature.
+# None of the other options in this section work if this is set to "NO".
#rc_controller_cgroups="YES"
+
+# The following settings allow you to set up values for the cgroup
+# controllers for your services.
+# They can be set in this file;, however, if you do this, the settings
+# will apply to all of your services.
+# If you want different settings for each service, place the settings in
+# /etc/conf.d/foo for service foo.
+# The format is to specify the names of the settings followed by their
+# values. Each variable can hold multiple settings.
+# For example, you would use this to set the cpu.shares setting in the
+# cpu controller to 512 for your service.
+# rc_cgroup_cpu="
+# cpu.shares 512
+# "
+#
+#For more information about the adjustments that can be made with
+#cgroups, see Documentation/cgroups/* in the linux kernel source tree.
+
+# Set the blkio controller settings for this service.
+#rc_cgroup_blkio=""
+
+# Set the cpu controller settings for this service.
+#rc_cgroup_cpu=""
+
+# Add this service to the cpuacct controller (any value means yes).
+#rc_cgroup_cpuacct=""
+
+# Set the cpuset controller settings for this service.
+#rc_cgroup_cpuset=""
+
+# Set the devices controller settings for this service.
+#rc_cgroup_devices=""
+
+# Set the memory controller settings for this service.
+#rc_cgroup_memory=""
+
+# Set the net_prio controller settings for this service.
+#rc_cgroup_net_prio=""
+
+# Set this to YES if yu want all of the processes in a service's cgroup
+# killed when the service is stopped or restarted.
+# This should not be set globally because it kills all of the service's
+# child processes, and most of the time this is undesirable. Please set
+# it in /etc/conf.d/<service>.
+# To perform this cleanup manually for a stopped service, you can
+# execute cgroup_cleanup with /etc/init.d/<service> cgroup_cleanup or
+# rc-service <service> cgroup_cleanup.
+# rc_cgroup_cleanup="NO"
--- /dev/null
+# Global OpenRC configuration settings
+
+# Set to "YES" if you want the rc system to try and start services
+# in parallel for a slight speed improvement. When running in parallel we
+# prefix the service output with its name as the output will get
+# jumbled up.
+# WARNING: whilst we have improved parallel, it can still potentially lock
+# the boot process. Don't file bugs about this unless you can supply
+# patches that fix it without breaking other things!
+#rc_parallel="NO"
+rc_parallel="YES"
+
+# Set rc_interactive to "YES" and you'll be able to press the I key during
+# boot so you can choose to start specific services. Set to "NO" to disable
+# this feature. This feature is automatically disabled if rc_parallel is
+# set to YES.
+#rc_interactive="YES"
+
+# If we need to drop to a shell, you can specify it here.
+# If not specified we use $SHELL, otherwise the one specified in /etc/passwd,
+# otherwise /bin/sh
+# Linux users could specify /sbin/sulogin
+rc_shell=/sbin/sulogin
+
+# Do we allow any started service in the runlevel to satisfy the dependency
+# or do we want all of them regardless of state? For example, if net.eth0
+# and net.eth1 are in the default runlevel then with rc_depend_strict="NO"
+# both will be started, but services that depend on 'net' will work if either
+# one comes up. With rc_depend_strict="YES" we would require them both to
+# come up.
+#rc_depend_strict="YES"
+
+# rc_hotplug is a list of services that we allow to be hotplugged.
+# By default we do not allow hotplugging.
+# A hotplugged service is one started by a dynamic dev manager when a matching
+# hardware device is found.
+# This service is intrinsically included in the boot runlevel.
+# To disable services, prefix with a !
+# Example - rc_hotplug="net.wlan !net.*"
+# This allows net.wlan and any service not matching net.* to be plugged.
+# Example - rc_hotplug="*"
+# This allows all services to be hotplugged
+#rc_hotplug="*"
+
+# rc_logger launches a logging daemon to log the entire rc process to
+# /var/log/rc.log
+# NOTE: Linux systems require the devfs service to be started before
+# logging can take place and as such cannot log the sysinit runlevel.
+rc_logger="YES"
+
+# Through rc_log_path you can specify a custom log file.
+# The default value is: /var/log/rc.log
+rc_log_path="/var/log/rc.log"
+
+# By default we filter the environment for our running scripts. To allow other
+# variables through, add them here. Use a * to allow all variables through.
+#rc_env_allow="VAR1 VAR2"
+
+# By default we assume that all daemons will start correctly.
+# However, some do not - a classic example is that they fork and return 0 AND
+# then child barfs on a configuration error. Or the daemon has a bug and the
+# child crashes. You can set the number of milliseconds start-stop-daemon
+# waits to check that the daemon is still running after starting here.
+# The default is 0 - no checking.
+#rc_start_wait=100
+
+# rc_nostop is a list of services which will not stop when changing runlevels.
+# This still allows the service itself to be stopped when called directly.
+#rc_nostop=""
+
+# rc will attempt to start crashed services by default.
+# However, it will not stop them by default as that could bring down other
+# critical services.
+#rc_crashed_stop=NO
+#rc_crashed_start=YES
+
+##############################################################################
+# MISC CONFIGURATION VARIABLES
+# There variables are shared between many init scripts
+
+# Set unicode to YES to turn on unicode support for keyboards and screens.
+unicode="YES"
+
+# Below is the default list of network fstypes.
+#
+# afs cifs coda davfs fuse fuse.sshfs gfs glusterfs lustre ncpfs
+# nfs nfs4 ocfs2 shfs smbfs
+#
+# If you would like to add to this list, you can do so by adding your
+# own fstypes to the following variable.
+#extra_net_fs_list=""
+
+##############################################################################
+# SERVICE CONFIGURATION VARIABLES
+# These variables are documented here, but should be configured in
+# /etc/conf.d/foo for service foo and NOT enabled here unless you
+# really want them to work on a global basis.
+# If your service has characters in its name which are not legal in
+# shell variable names and you configure the variables for it in this
+# file, those characters should be replaced with underscores in the
+# variable names as shown below.
+
+# Some daemons are started and stopped via start-stop-daemon.
+# We can set some things on a per service basis, like the nicelevel.
+#export SSD_NICELEVEL="-19"
+
+# Pass ulimit parameters
+#rc_ulimit="-u 30"
+
+# It's possible to define extra dependencies for services like so
+#rc_config="/etc/foo"
+#rc_need="openvpn"
+#rc_use="net.eth0"
+#rc_after="clock"
+#rc_before="local"
+#rc_provide="!net"
+
+# You can also enable the above commands here for each service. Below is an
+# example for service foo.
+#rc_foo_config="/etc/foo"
+#rc_foo_need="openvpn"
+#rc_foo_after="clock"
+
+# Below is an example for service foo-bar. Note that the '-' is illegal
+# in a shell variable name, so we convert it to an underscore.
+# example for service foo-bar.
+#rc_foo_bar_config="/etc/foo-bar"
+#rc_foo_bar_need="openvpn"
+#rc_foo_bar_after="clock"
+
+# You can also remove dependencies.
+# This is mainly used for saying which servies do NOT provide net.
+#rc_net_tap0_provide="!net"
+
+##############################################################################
+# LINUX SPECIFIC OPTIONS
+
+# This is the subsystem type. Valid options on Linux:
+# "" - nothing special
+# "lxc" - Linux Containers
+# "openvz" - Linux OpenVZ
+# "prefix" - Prefix
+# "uml" - Usermode Linux
+# "vserver" - Linux vserver
+# "xen0" - Xen0 Domain
+# "xenU" - XenU Domain
+# If this is commented out, automatic detection will be used.
+#
+# This should be set to the value representing the environment this file is
+# PRESENTLY in, not the virtualization the environment is capable of.
+#rc_sys=""
+
+# This is the number of tty's used in most of the rc-scripts (like
+# consolefont, numlock, etc ...)
+rc_tty_number=12
+
+# If you have cgroups turned on in your kernel, this switch controls
+# whether or not a group for each controller is mounted under
+# /sys/fs/cgroup.
+# Support for process management by cgroups is planned in the future,
+# so if you turn this off, be aware that you may not be able to use that
+# feature.
+#rc_controller_cgroups="YES"
#SSD_NICELEVEL="-19"
# Pass ulimit parameters
+# If you are using bash in POSIX mode for your shell, note that the
+# ulimit command uses a block size of 512 bytes for the -c and -f
+# options
#rc_ulimit="-u 30"
# It's possible to define extra dependencies for services like so
# LINUX SPECIFIC OPTIONS
# This is the subsystem type. Valid options on Linux:
-# "" - nothing special
-# "lxc" - Linux Containers
-# "openvz" - Linux OpenVZ
-# "prefix" - Prefix
-# "uml" - Usermode Linux
-# "vserver" - Linux vserver
-# "xen0" - Xen0 Domain
-# "xenU" - XenU Domain
+# "" - nothing special
+# "lxc" - Linux Containers
+# "openvz" - Linux OpenVZ
+# "prefix" - Prefix
+# "uml" - Usermode Linux
+# "vserver" - Linux vserver
+# "systemd-nspawn" - Container created by the systemd-nspawn utility
+# "xen0" - Xen0 Domain
+# "xenU" - XenU Domain
# If this is commented out, automatic detection will be used.
#
# This should be set to the value representing the environment this file is
#clientid
# or
# Use the same DUID + IAID as set in DHCPv6 for DHCPv4 ClientID as per RFC4361.
+# Some non-RFC compliant DHCP servers do not reply with this set.
+# In this case, comment out duid and enable clientid above.
duid
# Persist interface configuration when dhcpcd exits.
+++ /dev/null
-LDPATH="/usr/lib64/qt4:/usr/lib32/qt4:/usr/lib/qt4"
--- /dev/null
+LDPATH="/usr/lib32/qt4"
--- /dev/null
+LDPATH="/usr/lib64/qt4"
+++ /dev/null
-ES_BASHCOMP_DIRS="/usr/share/bash-completion/completions"
-postgres_ebuilds="${postgres_ebuilds} postgresql-9.4.1"
+postgres_ebuilds="${postgres_ebuilds} postgresql-9.4.3"
--- /dev/null
+<?xml version="1.0"?>
+<!DOCTYPE fontconfig SYSTEM "fonts.dtd">
+<fontconfig>
+<!-- Accept terminus font -->
+ <selectfont>
+ <acceptfont>
+ <pattern>
+ <patelt name="family"><string>Terminus</string></patelt>
+ </pattern>
+ </acceptfont>
+ </selectfont>
+</fontconfig>
</local_schema>
</entry>
<entry name="enabled">
- <local_schema short_desc="Legt fest, ob das angegebene Kommando „sip“-URLs verarbeiten soll">
+ <local_schema short_desc="Legt fest, ob der angegebene Befehl „sip“-URLs verarbeiten soll">
<longdesc>Aktivieren, wenn der Befehl, der im „command“-Schlüssel angegeben ist, „sip“-URLs verarbeiten soll.</longdesc>
</local_schema>
</entry>
</local_schema>
</entry>
<entry name="enabled">
- <local_schema short_desc="Legt fest, ob das angegebene Kommando „msnim“-URLs verarbeiten soll">
+ <local_schema short_desc="Legt fest, ob der angegebene Befehl „msnim“-URLs verarbeiten soll">
<longdesc>Aktivieren, wenn der Befehl, der im „command“-Schlüssel angegeben ist, „msnim“-URLs verarbeiten soll.</longdesc>
</local_schema>
</entry>
</local_schema>
</entry>
<entry name="enabled">
- <local_schema short_desc="Legt fest, ob das angegebene Kommando „irc“-URLs verarbeiten soll">
+ <local_schema short_desc="Legt fest, ob der angegebene Befehl „irc“-URLs verarbeiten soll">
<longdesc>Aktivieren, wenn der Befehl, der im „command“-Schlüssel angegeben ist, „irc“-URLs verarbeiten soll.</longdesc>
</local_schema>
</entry>
</dir>
<dir name="aim">
<entry name="needs_terminal">
- <local_schema short_desc="Den Befehl in einem Terminal ausführen">
- <longdesc>Falls dieser Schlüssel wahr ist, wird das Programm, dass diesen URL-Typ handhaben soll, in einem Terminal ausgeführt.</longdesc>
+ <local_schema short_desc="Befehl in einem Terminal ausführen">
+ <longdesc>Aktivieren, wenn der Befehl, der benutzt wird um diese Art von URL zu verarbeiten, in einem Terminal ausgeführt werden soll.</longdesc>
</local_schema>
</entry>
<entry name="command">
- <local_schema short_desc="Der Handler für »aim«-URLs">
- <longdesc>Der zum Handhaben von »aim«-URLs verwendete Befehl, falls aktiviert.</longdesc>
+ <local_schema short_desc="Behandlungsroutine für „aim“-URLs">
+ <longdesc>Der Befehl, der „aim“-URLs verarbeitet, wenn aktiviert.</longdesc>
</local_schema>
</entry>
<entry name="enabled">
- <local_schema short_desc="Soll der angegebene Befehl »aim«-URLs handhaben?">
- <longdesc>Falls dieser Schlüssel wahr ist, handhabt das in »command« angegebene Programm »aim«-URLs.</longdesc>
+ <local_schema short_desc="Legt fest, ob dar angegebene Befehl „aim“-URLs verarbeiten soll">
+ <longdesc>Aktivieren, wenn der Befehl, der im „command“-Schlüssel angegeben ist, „aim“-URLs verarbeiten soll.</longdesc>
</local_schema>
</entry>
</dir>
</dir>
<dir name="aim">
<entry name="needs_terminal">
- <local_schema short_desc="Ð\97апÑ\83Ñ\81каÑ\82Ñ\8c пÑ\80огÑ\80амму в терминале">
- <longdesc>Ð\95Ñ\81ли Ñ\8dÑ\82оÑ\82 клÑ\8eÑ\87 Ñ\83Ñ\81Ñ\82ановлен, Ñ\82о пÑ\80огÑ\80амма,опÑ\80еделÑ\91ннаÑ\8f длÑ\8f обÑ\80абоÑ\82ки Ñ\81Ñ\81Ñ\8bлки (URL), бÑ\83деÑ\82 запÑ\83Ñ\81каÑ\82Ñ\8cÑ\81Ñ\8f в терминале.</longdesc>
+ <local_schema short_desc="Ð\92Ñ\8bполниÑ\82Ñ\8c команду в терминале">
+ <longdesc>Ð\92еÑ\80но, еÑ\81ли команда, иÑ\81полÑ\8cзÑ\83Ñ\8eÑ\89аÑ\8fÑ\81Ñ\8f длÑ\8f обÑ\80аÑ\89ениÑ\8f по Ñ\81Ñ\81Ñ\8bлке Ñ\82акого Ñ\82ипа, должна бÑ\8bÑ\82Ñ\8c запÑ\83Ñ\89ена в терминале.</longdesc>
</local_schema>
</entry>
<entry name="command">
- <local_schema short_desc="Обработчик URL типа "aim"">
- <longdesc>Команда, используемая для обработки URL типа "aim", если ключ установлен</longdesc>
+ <local_schema short_desc="Обработчик для "aim" URL">
+ <longdesc>Команда, используемая для обработки "aim" URL, если включено.</longdesc>
</local_schema>
</entry>
<entry name="enabled">
- <local_schema short_desc="Ð\91Ñ\83деÑ\82 ли Ñ\83казаннаÑ\8f команда обÑ\80абаÑ\82Ñ\8bваÑ\82Ñ\8c Ñ\81Ñ\81Ñ\8bлки (URL) Ñ\82ипа "aim"">
- <longdesc>Ð\95Ñ\81ли Ñ\8dÑ\82оÑ\82 клÑ\8eÑ\87 Ñ\83Ñ\81Ñ\82ановлен, Ñ\82о пÑ\80огÑ\80амма, опÑ\80еделÑ\91ннаÑ\8f в клÑ\8eÑ\87е "command", бÑ\83деÑ\82 обÑ\80абаÑ\82Ñ\8bваÑ\82Ñ\8c Ñ\81Ñ\81Ñ\8bлки (URL) Ñ\82ипа "aim".</longdesc>
+ <local_schema short_desc="Ð\94олжна ли Ñ\83казаннаÑ\8f команда обÑ\80абаÑ\82Ñ\8bваÑ\82Ñ\8c "aim" URL">
+ <longdesc>Ð\92еÑ\80но, еÑ\81ли команде, обÑ\8aÑ\8fвленной в клÑ\8eÑ\87е "command", нÑ\83жно обÑ\80аÑ\89аÑ\82Ñ\8cÑ\81Ñ\8f по "aim" адÑ\80еÑ\81ам.</longdesc>
</local_schema>
</entry>
</dir>
</entry>
</dir>
<dir name="ymsgr">
- <entry name="needs_terminal" mtime="1424947392" type="schema" stype="bool" owner="purple">
+ <entry name="needs_terminal" mtime="1434500693" type="schema" stype="bool" owner="purple">
<local_schema locale="C" short_desc="Run the command in a terminal">
<default type="bool" value="false"/>
<longdesc>True if the command used to handle this type of URL should be run in a terminal.</longdesc>
</local_schema>
</entry>
- <entry name="command" mtime="1424947392" type="schema" stype="string" owner="purple">
+ <entry name="command" mtime="1434500693" type="schema" stype="string" owner="purple">
<local_schema locale="C" short_desc="The handler for "ymsgr" URLs">
<default type="string">
<stringvalue>purple-url-handler "%s"</stringvalue>
<longdesc>The command used to handle "ymsgr" URLs, if enabled.</longdesc>
</local_schema>
</entry>
- <entry name="enabled" mtime="1424947392" type="schema" stype="bool" owner="purple">
+ <entry name="enabled" mtime="1434500693" type="schema" stype="bool" owner="purple">
<local_schema locale="C" short_desc="Whether the specified command should handle "ymsgr" URLs">
<default type="bool" value="true"/>
<longdesc>True if the command specified in the "command" key should handle "ymsgr" URLs.</longdesc>
</entry>
</dir>
<dir name="xmpp">
- <entry name="needs_terminal" mtime="1424947392" type="schema" stype="bool" owner="purple">
+ <entry name="needs_terminal" mtime="1434500693" type="schema" stype="bool" owner="purple">
<local_schema locale="C" short_desc="Run the command in a terminal">
<default type="bool" value="false"/>
<longdesc>True if the command used to handle this type of URL should be run in a terminal.</longdesc>
</local_schema>
</entry>
- <entry name="command" mtime="1424947392" type="schema" stype="string" owner="purple">
+ <entry name="command" mtime="1434500693" type="schema" stype="string" owner="purple">
<local_schema locale="C" short_desc="The handler for "xmpp" URLs">
<default type="string">
<stringvalue>purple-url-handler "%s"</stringvalue>
<longdesc>The command used to handle "xmpp" URLs, if enabled.</longdesc>
</local_schema>
</entry>
- <entry name="enabled" mtime="1424947392" type="schema" stype="bool" owner="purple">
+ <entry name="enabled" mtime="1434500693" type="schema" stype="bool" owner="purple">
<local_schema locale="C" short_desc="Whether the specified command should handle "xmpp" URLs">
<default type="bool" value="true"/>
<longdesc>True if the command specified in the "command" key should handle "xmpp" URLs.</longdesc>
</entry>
</dir>
<dir name="sip">
- <entry name="needs_terminal" mtime="1424947392" type="schema" stype="bool" owner="purple">
+ <entry name="needs_terminal" mtime="1434500693" type="schema" stype="bool" owner="purple">
<local_schema locale="C" short_desc="Run the command in a terminal">
<default type="bool" value="false"/>
<longdesc>True if the command used to handle this type of URL should be run in a terminal.</longdesc>
</local_schema>
</entry>
- <entry name="command" mtime="1424947392" type="schema" stype="string" owner="purple">
+ <entry name="command" mtime="1434500693" type="schema" stype="string" owner="purple">
<local_schema locale="C" short_desc="The handler for "sip" URLs">
<default type="string">
<stringvalue>purple-url-handler "%s"</stringvalue>
<longdesc>The command used to handle "sip" URLs, if enabled.</longdesc>
</local_schema>
</entry>
- <entry name="enabled" mtime="1424947392" type="schema" stype="bool" owner="purple">
+ <entry name="enabled" mtime="1434500693" type="schema" stype="bool" owner="purple">
<local_schema locale="C" short_desc="Whether the specified command should handle "sip" URLs">
<default type="bool" value="true"/>
<longdesc>True if the command specified in the "command" key should handle "sip" URLs.</longdesc>
</entry>
</dir>
<dir name="msnim">
- <entry name="needs_terminal" mtime="1424947392" type="schema" stype="bool" owner="purple">
+ <entry name="needs_terminal" mtime="1434500693" type="schema" stype="bool" owner="purple">
<local_schema locale="C" short_desc="Run the command in a terminal">
<default type="bool" value="false"/>
<longdesc>True if the command used to handle this type of URL should be run in a terminal.</longdesc>
</local_schema>
</entry>
- <entry name="command" mtime="1424947392" type="schema" stype="string" owner="purple">
+ <entry name="command" mtime="1434500693" type="schema" stype="string" owner="purple">
<local_schema locale="C" short_desc="The handler for "msnim" URLs">
<default type="string">
<stringvalue>purple-url-handler "%s"</stringvalue>
<longdesc>The command used to handle "msnim" URLs, if enabled.</longdesc>
</local_schema>
</entry>
- <entry name="enabled" mtime="1424947392" type="schema" stype="bool" owner="purple">
+ <entry name="enabled" mtime="1434500693" type="schema" stype="bool" owner="purple">
<local_schema locale="C" short_desc="Whether the specified command should handle "msnim" URLs">
<default type="bool" value="true"/>
<longdesc>True if the command specified in the "command" key should handle "msnim" URLs.</longdesc>
</entry>
</dir>
<dir name="irc">
- <entry name="needs_terminal" mtime="1424947392" type="schema" stype="bool" owner="purple">
+ <entry name="needs_terminal" mtime="1434500693" type="schema" stype="bool" owner="purple">
<local_schema locale="C" short_desc="Run the command in a terminal">
<default type="bool" value="false"/>
<longdesc>True if the command used to handle this type of URL should be run in a terminal.</longdesc>
</local_schema>
</entry>
- <entry name="command" mtime="1424947392" type="schema" stype="string" owner="purple">
+ <entry name="command" mtime="1434500693" type="schema" stype="string" owner="purple">
<local_schema locale="C" short_desc="The handler for "irc" URLs">
<default type="string">
<stringvalue>purple-url-handler "%s"</stringvalue>
<longdesc>The command used to handle "irc" URLs, if enabled.</longdesc>
</local_schema>
</entry>
- <entry name="enabled" mtime="1424947392" type="schema" stype="bool" owner="purple">
+ <entry name="enabled" mtime="1434500693" type="schema" stype="bool" owner="purple">
<local_schema locale="C" short_desc="Whether the specified command should handle "irc" URLs">
<default type="bool" value="true"/>
<longdesc>True if the command specified in the "command" key should handle "irc" URLs.</longdesc>
</entry>
</dir>
<dir name="icq">
- <entry name="needs_terminal" mtime="1424947392" type="schema" stype="bool" owner="purple">
+ <entry name="needs_terminal" mtime="1434500693" type="schema" stype="bool" owner="purple">
<local_schema locale="C" short_desc="Run the command in a terminal">
<default type="bool" value="false"/>
<longdesc>True if the command used to handle this type of URL should be run in a terminal.</longdesc>
</local_schema>
</entry>
- <entry name="command" mtime="1424947392" type="schema" stype="string" owner="purple">
+ <entry name="command" mtime="1434500693" type="schema" stype="string" owner="purple">
<local_schema locale="C" short_desc="The handler for "icq" URLs">
<default type="string">
<stringvalue>purple-url-handler "%s"</stringvalue>
<longdesc>The command used to handle "icq" URLs, if enabled.</longdesc>
</local_schema>
</entry>
- <entry name="enabled" mtime="1424947392" type="schema" stype="bool" owner="purple">
+ <entry name="enabled" mtime="1434500693" type="schema" stype="bool" owner="purple">
<local_schema locale="C" short_desc="Whether the specified command should handle "icq" URLs">
<default type="bool" value="true"/>
<longdesc>True if the command specified in the "command" key should handle "icq" URLs.</longdesc>
</entry>
</dir>
<dir name="gg">
- <entry name="needs_terminal" mtime="1424947392" type="schema" stype="bool" owner="purple">
+ <entry name="needs_terminal" mtime="1434500693" type="schema" stype="bool" owner="purple">
<local_schema locale="C" short_desc="Run the command in a terminal">
<default type="bool" value="false"/>
<longdesc>True if the command used to handle this type of URL should be run in a terminal.</longdesc>
</local_schema>
</entry>
- <entry name="command" mtime="1424947392" type="schema" stype="string" owner="purple">
+ <entry name="command" mtime="1434500693" type="schema" stype="string" owner="purple">
<local_schema locale="C" short_desc="The handler for "gg" URLs">
<default type="string">
<stringvalue>purple-url-handler "%s"</stringvalue>
<longdesc>The command used to handle "gg" URLs, if enabled.</longdesc>
</local_schema>
</entry>
- <entry name="enabled" mtime="1424947392" type="schema" stype="bool" owner="purple">
+ <entry name="enabled" mtime="1434500693" type="schema" stype="bool" owner="purple">
<local_schema locale="C" short_desc="Whether the specified command should handle "gg" URLs">
<default type="bool" value="true"/>
<longdesc>True if the command specified in the "command" key should handle "gg" URLs.</longdesc>
</entry>
</dir>
<dir name="aim">
- <entry name="needs_terminal" mtime="1430209092" type="schema" stype="bool" owner="gnome">
+ <entry name="needs_terminal" mtime="1434500693" type="schema" stype="bool" owner="purple">
<local_schema locale="C" short_desc="Run the command in a terminal">
<default type="bool" value="false"/>
<longdesc>True if the command used to handle this type of URL should be run in a terminal.</longdesc>
</local_schema>
</entry>
- <entry name="command" mtime="1430209092" type="schema" stype="string" owner="gnome">
+ <entry name="command" mtime="1434500693" type="schema" stype="string" owner="purple">
<local_schema locale="C" short_desc="The handler for "aim" URLs">
<default type="string">
- <stringvalue>gaim-remote uri "%s"</stringvalue>
+ <stringvalue>purple-url-handler "%s"</stringvalue>
</default>
<longdesc>The command used to handle "aim" URLs, if enabled.</longdesc>
</local_schema>
</entry>
- <entry name="enabled" mtime="1430209092" type="schema" stype="bool" owner="gnome">
+ <entry name="enabled" mtime="1434500693" type="schema" stype="bool" owner="purple">
<local_schema locale="C" short_desc="Whether the specified command should handle "aim" URLs">
<default type="bool" value="true"/>
<longdesc>True if the command specified in the "command" key should handle "aim" URLs.</longdesc>
<entry name="command" mtime="1362855762" schema="/schemas/desktop/gnome/url-handlers/vnc/command"/>
</dir>
<dir name="ymsgr">
- <entry name="needs_terminal" mtime="1424947392" schema="/schemas/desktop/gnome/url-handlers/ymsgr/needs_terminal"/>
- <entry name="command" mtime="1424947392" schema="/schemas/desktop/gnome/url-handlers/ymsgr/command"/>
- <entry name="enabled" mtime="1424947392" schema="/schemas/desktop/gnome/url-handlers/ymsgr/enabled"/>
+ <entry name="needs_terminal" mtime="1434500693" schema="/schemas/desktop/gnome/url-handlers/ymsgr/needs_terminal"/>
+ <entry name="command" mtime="1434500693" schema="/schemas/desktop/gnome/url-handlers/ymsgr/command"/>
+ <entry name="enabled" mtime="1434500693" schema="/schemas/desktop/gnome/url-handlers/ymsgr/enabled"/>
</dir>
<dir name="xmpp">
- <entry name="needs_terminal" mtime="1424947392" schema="/schemas/desktop/gnome/url-handlers/xmpp/needs_terminal"/>
- <entry name="command" mtime="1424947392" schema="/schemas/desktop/gnome/url-handlers/xmpp/command"/>
- <entry name="enabled" mtime="1424947392" schema="/schemas/desktop/gnome/url-handlers/xmpp/enabled"/>
+ <entry name="needs_terminal" mtime="1434500693" schema="/schemas/desktop/gnome/url-handlers/xmpp/needs_terminal"/>
+ <entry name="command" mtime="1434500693" schema="/schemas/desktop/gnome/url-handlers/xmpp/command"/>
+ <entry name="enabled" mtime="1434500693" schema="/schemas/desktop/gnome/url-handlers/xmpp/enabled"/>
</dir>
<dir name="sip">
- <entry name="needs_terminal" mtime="1424947392" schema="/schemas/desktop/gnome/url-handlers/sip/needs_terminal"/>
- <entry name="command" mtime="1424947392" schema="/schemas/desktop/gnome/url-handlers/sip/command"/>
- <entry name="enabled" mtime="1424947392" schema="/schemas/desktop/gnome/url-handlers/sip/enabled"/>
+ <entry name="needs_terminal" mtime="1434500693" schema="/schemas/desktop/gnome/url-handlers/sip/needs_terminal"/>
+ <entry name="command" mtime="1434500693" schema="/schemas/desktop/gnome/url-handlers/sip/command"/>
+ <entry name="enabled" mtime="1434500693" schema="/schemas/desktop/gnome/url-handlers/sip/enabled"/>
</dir>
<dir name="msnim">
- <entry name="needs_terminal" mtime="1424947392" schema="/schemas/desktop/gnome/url-handlers/msnim/needs_terminal"/>
- <entry name="command" mtime="1424947392" schema="/schemas/desktop/gnome/url-handlers/msnim/command"/>
- <entry name="enabled" mtime="1424947392" schema="/schemas/desktop/gnome/url-handlers/msnim/enabled"/>
+ <entry name="needs_terminal" mtime="1434500693" schema="/schemas/desktop/gnome/url-handlers/msnim/needs_terminal"/>
+ <entry name="command" mtime="1434500693" schema="/schemas/desktop/gnome/url-handlers/msnim/command"/>
+ <entry name="enabled" mtime="1434500693" schema="/schemas/desktop/gnome/url-handlers/msnim/enabled"/>
</dir>
<dir name="irc">
- <entry name="needs_terminal" mtime="1424947392" schema="/schemas/desktop/gnome/url-handlers/irc/needs_terminal"/>
- <entry name="command" mtime="1424947392" schema="/schemas/desktop/gnome/url-handlers/irc/command"/>
- <entry name="enabled" mtime="1424947392" schema="/schemas/desktop/gnome/url-handlers/irc/enabled"/>
+ <entry name="needs_terminal" mtime="1434500693" schema="/schemas/desktop/gnome/url-handlers/irc/needs_terminal"/>
+ <entry name="command" mtime="1434500693" schema="/schemas/desktop/gnome/url-handlers/irc/command"/>
+ <entry name="enabled" mtime="1434500693" schema="/schemas/desktop/gnome/url-handlers/irc/enabled"/>
</dir>
<dir name="icq">
- <entry name="needs_terminal" mtime="1424947392" schema="/schemas/desktop/gnome/url-handlers/icq/needs_terminal"/>
- <entry name="command" mtime="1424947392" schema="/schemas/desktop/gnome/url-handlers/icq/command"/>
- <entry name="enabled" mtime="1424947392" schema="/schemas/desktop/gnome/url-handlers/icq/enabled"/>
+ <entry name="needs_terminal" mtime="1434500693" schema="/schemas/desktop/gnome/url-handlers/icq/needs_terminal"/>
+ <entry name="command" mtime="1434500693" schema="/schemas/desktop/gnome/url-handlers/icq/command"/>
+ <entry name="enabled" mtime="1434500693" schema="/schemas/desktop/gnome/url-handlers/icq/enabled"/>
</dir>
<dir name="gg">
- <entry name="needs_terminal" mtime="1424947392" schema="/schemas/desktop/gnome/url-handlers/gg/needs_terminal"/>
- <entry name="command" mtime="1424947392" schema="/schemas/desktop/gnome/url-handlers/gg/command"/>
- <entry name="enabled" mtime="1424947392" schema="/schemas/desktop/gnome/url-handlers/gg/enabled"/>
+ <entry name="needs_terminal" mtime="1434500693" schema="/schemas/desktop/gnome/url-handlers/gg/needs_terminal"/>
+ <entry name="command" mtime="1434500693" schema="/schemas/desktop/gnome/url-handlers/gg/command"/>
+ <entry name="enabled" mtime="1434500693" schema="/schemas/desktop/gnome/url-handlers/gg/enabled"/>
</dir>
<dir name="h323">
<entry name="needs_terminal" mtime="1430209092" schema="/schemas/desktop/gnome/url-handlers/h323/needs_terminal"/>
<entry name="enabled" mtime="1430209092" schema="/schemas/desktop/gnome/url-handlers/callto/enabled"/>
</dir>
<dir name="aim">
- <entry name="needs_terminal" mtime="1430209092" schema="/schemas/desktop/gnome/url-handlers/aim/needs_terminal"/>
- <entry name="command" mtime="1430209092" schema="/schemas/desktop/gnome/url-handlers/aim/command"/>
- <entry name="enabled" mtime="1430209092" schema="/schemas/desktop/gnome/url-handlers/aim/enabled"/>
+ <entry name="needs_terminal" mtime="1434500693" schema="/schemas/desktop/gnome/url-handlers/aim/needs_terminal"/>
+ <entry name="command" mtime="1434500693" schema="/schemas/desktop/gnome/url-handlers/aim/command"/>
+ <entry name="enabled" mtime="1434500693" schema="/schemas/desktop/gnome/url-handlers/aim/enabled"/>
</dir>
<dir name="mailto">
<entry name="needs_terminal" mtime="1430209092" schema="/schemas/desktop/gnome/url-handlers/mailto/needs_terminal"/>
</locale>
<locale name="de">
- <short>Legt fest, ob das angegebene Kommando „aim“-URLs verarbeiten soll</short>
+ <short>Legt fest, ob dar angegebene Befehl „aim“-URLs verarbeiten soll</short>
<long>Aktivieren, wenn der Befehl, der im „command“-Schlüssel angegeben ist, „aim“-URLs verarbeiten soll.</long>
</locale>
</locale>
<locale name="de">
- <short>Legt fest, ob das angegebene Kommando „irc“-URLs verarbeiten soll</short>
+ <short>Legt fest, ob der angegebene Befehl „irc“-URLs verarbeiten soll</short>
<long>Aktivieren, wenn der Befehl, der im „command“-Schlüssel angegeben ist, „irc“-URLs verarbeiten soll.</long>
</locale>
</locale>
<locale name="de">
- <short>Legt fest, ob das angegebene Kommando „msnim“-URLs verarbeiten soll</short>
+ <short>Legt fest, ob der angegebene Befehl „msnim“-URLs verarbeiten soll</short>
<long>Aktivieren, wenn der Befehl, der im „command“-Schlüssel angegeben ist, „msnim“-URLs verarbeiten soll.</long>
</locale>
</locale>
<locale name="de">
- <short>Legt fest, ob das angegebene Kommando „sip“-URLs verarbeiten soll</short>
+ <short>Legt fest, ob der angegebene Befehl „sip“-URLs verarbeiten soll</short>
<long>Aktivieren, wenn der Befehl, der im „command“-Schlüssel angegeben ist, „sip“-URLs verarbeiten soll.</long>
</locale>
# Location of the default cache
CACHE_DIR="/var/cache/genkernel"
# Location of DISTDIR, where our source tarballs are stored
-DISTDIR="${CACHE_DIR}/src"
+DISTDIR="/var/lib/genkernel/src"
# Log output file
LOGFILE="/var/log/genkernel.log"
# Debug Level
--- /dev/null
+#!/sbin/openrc-run
+# Copyright 2015 William Hubbs <w.d.hubbs@gmail.com>
+# Released under the 2-clause BSD license.
+
+description="Register misc binary format handlers"
+
+depend()
+{
+ after procfs
+ use modules devfs
+ keyword -openvz -prefix -systemd-nspawn -vserver -lxc
+}
+
+start()
+{
+ ebegin "Loading custom binary format handlers"
+ "$RC_LIBEXECDIR"/sh/binfmt.sh
+ eend $?
+return 0
+}
{
[ "$RC_SYS" = VSERVER -o "$RC_SYS" = LXC ] && return 0
local dir
+ # If / is still read-only due to a problem, this will fail!
+ if ! checkpath -W /; then
+ eerror "/ is not writable; unable to clean up underlying /run"
+ return 1
+ fi
+ if ! checkpath -W /tmp; then
+ eerror "/tmp is not writable; unable to clean up underlying /run"
+ return 1
+ fi
+ # Now we know that we can modify /tmp and /
+ # if mktemp -d fails, it returns an EMPTY string
+ # STDERR: mktemp: failed to create directory via template ‘/tmp/tmp.XXXXXXXXXX’: Read-only file system
+ # STDOUT: ''
+ rc=0
dir=$(mktemp -d)
- mount --bind / $dir
- rm -rf $dir/run/*
- umount $dir
- rm -rf $dir
+ if [ -n "$dir" -a -d $dir -a -w $dir ]; then
+ mount --bind / $dir && rm -rf $dir/run/* || rc=1
+ umount $dir
+ rm -rf $dir
+ else
+ rc=1
+ fi
+ if [ $rc -ne 0 ]; then
+ eerror "Could not clean up underlying /run on /"
+ return 1
+ fi
}
start()
if yesno $log_dmesg; then
if $logw || checkpath -W /var/log; then
# Create an 'after-boot' dmesg log
- if [ "$RC_SYS" != VSERVER -a "$RC_SYS" != OPENVZ -a "$RC_SYS" != LXC ]; then
- dmesg > /var/log/dmesg
- chmod 640 /var/log/dmesg
- fi
+ case "$RC_SYS" in
+ VSERVER|OPENVZ|LXC|SYSTEMD-NSPAWN) ;;
+ *)
+ dmesg > /var/log/dmesg
+ chmod 640 /var/log/dmesg
+ ;;
+ esac
fi
fi
{
need localmount termencoding
after hotplug bootmisc
- keyword -openvz -prefix -uml -vserver -xenu -lxc
+ keyword -openvz -prefix -systemd-nspawn -uml -vserver -xenu -lxc
}
start()
{
provide dev-mount
before dev
- keyword -prefix -vserver -lxc
+ keyword -prefix -systemd-nspawn -vserver -lxc
}
mount_dev()
depend()
{
before dev modules
- keyword -lxc -prefix -vserver
+ keyword -lxc -prefix -systemd-nspawn -vserver
}
start()
depend()
{
use dev clock modules
- keyword -jail -openvz -prefix -timeout -vserver -lxc -uml
+ keyword -jail -openvz -prefix -systemd-nspawn -timeout -vserver -lxc -uml
}
_abort() {
description="Sets the hostname of the machine."
depend() {
- keyword -prefix -lxc
+ keyword -prefix -systemd-nspawn -lxc
}
start()
else
before *
fi
- keyword -openvz -prefix -uml -vserver -xenu -lxc
+ keyword -openvz -prefix -systemd-nspawn -uml -vserver -xenu -lxc
}
setupopts()
{
need localmount termencoding
after bootmisc
- keyword -openvz -prefix -uml -vserver -xenu -lxc
+ keyword -openvz -prefix -systemd-nspawn -uml -vserver -xenu -lxc
}
start()
for file in /etc/local.d/*.start; do
if [ -x "${file}" ]; then
vebegin "Executing \"${file}\""
- "${file}" $redirect
+ eval "${file}" $redirect
retval=$?
if [ ${retval} -ne 0 ]; then
has_errors=1
for file in /etc/local.d/*.stop; do
if [ -x "${file}" ]; then
vebegin "Executing \"${file}\""
- "${file}" $redirect
+ eval "${file}" $redirect
retval=$?
if [ ${retval} -ne 0 ]; then
has_errors=1
need fsck
use lvm modules mtab
after lvm modules
- keyword -jail -prefix -vserver -lxc
+ keyword -jail -prefix -systemd-nspawn -vserver -lxc
}
start()
depend()
{
- keyword -jail -prefix -vserver
+ keyword -jail -prefix -systemd-nspawn -vserver
}
start()
depend()
{
use isapnp
- keyword -openvz -prefix -vserver -lxc
+ keyword -openvz -prefix -systemd-nspawn -vserver -lxc
}
start()
depend()
{
need killprocs savecache
- keyword -openvz -prefix -vserver -lxc
+ keyword -openvz -prefix -systemd-nspawn -vserver -lxc
}
start()
config /etc/fstab
use afc-client amd nfsclient autofs openvpn
use dns
- keyword -jail -prefix -vserver -lxc
+ keyword -jail -prefix -systemd-nspawn -vserver -lxc
}
start()
depend()
{
need localmount
- keyword -openvz -prefix -vserver -lxc
+ keyword -openvz -prefix -systemd-nspawn -vserver -lxc
}
_setleds()
--- /dev/null
+#!/sbin/openrc-run
+# Copyright (c) 2014 Ralph Sennhauser <sera@igentoo.org>
+# Released under the 2-clause BSD license.
+
+# Can be used on OSs that take care of the clock.
+
+description="Provides clock"
+
+depend()
+{
+ provide clock
+}
{
use modules devfs
need localmount
- keyword -openvz -prefix -vserver -lxc
+ keyword -openvz -prefix -systemd-nspawn -vserver -lxc
}
start()
{
- # Make sure we insert usbcore if it's a module
- if [ -f /proc/modules -a ! -d /sys/module/usbcore -a ! -d /proc/bus/usb ]; then
- modprobe -q usbcore
- fi
-
- [ -e /proc/filesystems ] || return 0
-
# Setup Kernel Support for miscellaneous Binary Formats
if [ -d /proc/sys/fs/binfmt_misc -a ! -e /proc/sys/fs/binfmt_misc/register ]; then
+ modprobe -q binfmt-misc
if grep -qs binfmt_misc /proc/filesystems; then
ebegin "Mounting misc binary format filesystem"
mount -t binfmt_misc -o nodev,noexec,nosuid \
binfmt_misc /proc/sys/fs/binfmt_misc
- if eend $? ; then
- local fmts
- ebegin "Loading custom binary format handlers"
- fmts=$(grep -hsv -e '^[#;]' -e '^[[:space:]]*$' \
- /run/binfmt.d/*.conf \
- /etc/binfmt.d/*.conf \
- ""/usr/lib/binfmt.d/*.conf)
- if [ -n "${fmts}" ]; then
- echo "${fmts}" > /proc/sys/fs/binfmt_misc/register
- fi
eend $?
- fi
fi
fi
-
- [ "$RC_SYS" = "OPENVZ" ] && return 0
-
- # Check what USB fs the kernel support. Currently
- # 2.5+ kernels, and later 2.4 kernels have 'usbfs',
- # while older kernels have 'usbdevfs'.
- if [ -d /proc/bus/usb -a ! -e /proc/bus/usb/devices ]; then
- local usbfs=$(grep -Fow usbfs /proc/filesystems ||
- grep -Fow usbdevfs /proc/filesystems)
- if [ -n "$usbfs" ]; then
- ebegin "Mounting USB device filesystem [$usbfs]"
- local usbgid="$(getent group usb | \
- sed -e 's/.*:.*:\(.*\):.*/\1/')"
- mount -t $usbfs \
- -o ${usbgid:+devmode=0664,devgid=$usbgid,}noexec,nosuid \
- usbfs /proc/bus/usb
- eend $?
- fi
- fi
-
- # Setup Kernel Support for SELinux
- if [ -d /sys/fs/selinux ] && ! mountinfo -q /sys/fs/selinux; then
- if grep -qs selinuxfs /proc/filesystems; then
- ebegin "Mounting SELinux filesystem"
- mount -t selinuxfs selinuxfs /sys/fs/selinux
- eend $?
- fi
- fi
-
return 0
}
depend()
{
need fsck
- keyword -jail -openvz -prefix -vserver -lxc
+ keyword -jail -openvz -prefix -systemd-nspawn -vserver -lxc
}
start()
--- /dev/null
+#!/sbin/openrc-run
+# Copyright (C) 2015 William Hubbs <w.d.hubbs@gmail.com>
+# Released under the 2-clause BSD license.
+
+command=/bin/s6-svscan
+command_args="${RC_SVCDIR}"/s6-scan
+command_background=yes
+pidfile=/var/run/s6-svscan.pid
+
+depend()
+{
+ need localmount
+}
+
+start_pre()
+{
+ einfo "Creating s6 scan directory"
+ checkpath -d -m 0755 "$RC_SVCDIR"/s6-scan
+ return $?
+}
+
+stop_post()
+{
+ ebegin "Stopping any remaining s6 services"
+ s6-svc -dx "${RC_SVCDIR}"/s6-scan/* 2>/dev/null || true
+ eend $?
+
+ ebegin "Stopping any remaining s6 service loggers"
+ s6-svc -dx "${RC_SVCDIR}"/s6-scan/*/log 2>/dev/null || true
+ eend $?
+}
return 1
fi
fi
- if ! checkpath -W "$RC_LIBEXECDIR"/cache; then
- ewarn "WARNING: ${RC_LIBEXECDIR}/cache is not writable!"
+ if ! checkpath -W "$RC_LIBEXECDIR"; then
+ ewarn "WARNING: ${RC_LIBEXECDIR} is not writable!"
if ! yesno "${RC_GOINGDOWN}"; then
ewarn "Unable to save deptree cache"
return 1
local rc=
if [ ! -d "$RC_LIBEXECDIR"/cache ]; then
rm -rf "$RC_LIBEXECDIR"/cache
- if ! mkdir "$RC_LIBEXECDIR"/cache; then
+ if ! mkdir -p "$RC_LIBEXECDIR"/cache; then
rc=$?
if yesno "${RC_GOINGDOWN}"; then
rc=0
fi
- eend $rc
+ eend $rc "Unable to create $RC_SVCDIR/cache"
return $rc
fi
fi
#!/sbin/runscript
-# Copyright 1999-2012 Gentoo Foundation
+# Copyright 1999-2015 Gentoo Foundation
# Distributed under the terms of the GNU General Public License, v2 or later
-# $Header: /var/cvsroot/gentoo-x86/dev-vcs/subversion/files/svnserve.initd2,v 1.2 2012/01/14 19:46:34 tommy Exp $
+# $Header: /var/cvsroot/gentoo-x86/dev-vcs/subversion/files/svnserve.initd3,v 1.1 2015/04/09 12:58:45 polynomial-c Exp $
+
+description="svn server"
+pidfile="/var/run/svnserve.pid"
+command="/usr/bin/svnserve"
+command_args="--foreground --daemon ${SVNSERVE_OPTS:---root=/var/svn}"
+command_background="true"
+start_stop_daemon_args="-u ${SVNSERVE_USER:-svn} -g ${SVNSERVE_GROUP:-svnusers}"
depend() {
need net
}
-start() {
- ebegin "Starting svnserve"
+start_pre() {
# Ensure that we run from a readable working dir, and that we do not
# lock filesystems when being run from such a location.
cd /
- start-stop-daemon --start --quiet --background --make-pidfile \
- --pidfile /var/run/svnserve.pid --exec /usr/bin/svnserve \
- --user ${SVNSERVE_USER:-svn} --group ${SVNSERVE_GROUP:-svnusers} -- \
- --foreground --daemon ${SVNSERVE_OPTS:---root=/var/svn}
- eend $?
-}
-
-stop() {
- ebegin "Stopping svnserve"
- start-stop-daemon --stop --quiet --pidfile /var/run/svnserve.pid
- eend $?
}
depend()
{
before localmount
- keyword -jail -openvz -prefix -vserver -lxc
+ keyword -jail -openvz -prefix -systemd-nspawn -vserver -lxc
}
start()
depend()
{
need localmount
- keyword -jail -openvz -prefix -vserver -lxc
+ keyword -jail -openvz -prefix -systemd-nspawn -vserver -lxc
}
start()
{
before *
provide clock
- keyword -openvz -prefix -uml -vserver -xenu -lxc
+ keyword -openvz -prefix -systemd-nspawn -uml -vserver -xenu -lxc
}
# swclock is an OpenRC built in
depend()
{
before bootmisc logger
- keyword -prefix -vserver
+ keyword -prefix -systemd-nspawn -vserver
}
start()
{
+ local quiet
+ yesno $rc_verbose || quiet=-q
+
ebegin "Configuring kernel parameters"
- sysctl --system
+ sysctl ${quiet} --system
eend $? "Unable to configure some kernel parameters"
}
depend()
{
- keyword -lxc -prefix -vserver
+ keyword -lxc -prefix -systemd-nspawn -vserver
}
mount_sys()
fi
fi
+ # Setup Kernel Support for SELinux
+ if [ -d /sys/fs/selinux ] && ! mountinfo -q /sys/fs/selinux; then
+ if grep -qs selinuxfs /proc/filesystems; then
+ ebegin "Mounting SELinux filesystem"
+ mount -t selinuxfs selinuxfs /sys/fs/selinux
+ eend $?
+ fi
+ fi
+
# setup up kernel support for efivarfs
# slightly complicated, as if it's build as a module but NOT yet loaded,
# it will NOT appear in /proc/filesystems yet
depend()
{
- keyword -lxc -openvz -prefix -uml -vserver -xenu
+ keyword -lxc -openvz -prefix -systemd-nspawn -uml -vserver -xenu
use root
after bootmisc
}
# Copyright 1999-2012 Gentoo Foundation
# Released under the 2-clause BSD license.
-description="set up tmpfiles.d entries"
+description="Set up tmpfiles.d entries"
depend()
{
start()
{
- ebegin "setting up tmpfiles.d entries for /dev"
+ ebegin "Setting up tmpfiles.d entries for /dev"
/lib64/rc/sh/tmpfiles.sh --prefix=/dev --create --boot ${tmpfiles_opts}
eend $?
return 0
# Copyright 1999-2012 Gentoo Foundation
# Released under the 2-clause BSD license.
-description="set up tmpfiles.d entries"
+description="Set up tmpfiles.d entries"
depend()
{
start()
{
- ebegin "setting up tmpfiles.d entries"
+ ebegin "Setting up tmpfiles.d entries"
/lib64/rc/sh/tmpfiles.sh --exclude-prefix=/dev --create --remove --boot \
${tmpfiles_opts}
eend $?
depend()
{
need localmount
- keyword -jail -lxc -openvz -prefix
+ keyword -jail -lxc -openvz -prefix -systemd-nspawn
}
save_seed()
/usr/lib32/opengl/xorg-x11/lib
/usr/lib64/opengl/xorg-x11/lib
/usr/lib64/qca2
-/usr/lib64/qt4
/usr/lib32/qt4
-/usr/lib/qt4
+/usr/lib64/qt4
/usr/lib/postgresql
/usr/lib64/postgresql
/usr/lib64/postgresql-9.4/lib64/
# restoring guests, even though this may give slower operation for
# some file systems.
#BYPASS_CACHE=0
+
+# If non-zero, try to sync guest time on domain resume. Be aware, that
+# this requires guest agent with support for time synchronization
+# running in the guest. For instance, qemu-ga doesn't support guest time
+# synchronization on Windows guests, but Linux ones. By default, this
+# functionality is turned off.
+#SYNC_TIME=1
# connection succeeds.
#max_queued_clients = 1000
-# The maximum length of queue of accepted but not yet not
+# The maximum length of queue of accepted but not yet
# authenticated clients. The default value is zero, meaning
# the feature is disabled.
#max_anonymous_clients = 20
# however, have different variables store. Therefore the nvram is
# a list of strings when a single item is in form of:
# ${PATH_TO_UEFI_FW}:${PATH_TO_UEFI_VARS}.
-# Later, when libvirt creates per domain variable store, this
-# list is searched for the master image.
-#nvram = [ "/usr/share/OVMF/OVMF_CODE.fd:/usr/share/OVMF/OVMF_VARS.fd" ]
+# Later, when libvirt creates per domain variable store, this list is
+# searched for the master image. The UEFI firmware can be called
+# differently for different guest architectures. For instance, it's OVMF
+# for x86_64 and i686, but it's AAVMF for aarch64. The libvirt default
+# follows this scheme.
+#nvram = [
+# "/usr/share/OVMF/OVMF_CODE.fd:/usr/share/OVMF/OVMF_VARS.fd",
+# "/usr/share/AAVMF/AAVMF_CODE.fd:/usr/share/AAVMF/AAVMF_VARS.fd"
+#]
-auth required pam_securetty.so
auth include system-local-login
account include system-local-login
password include system-local-login
auth [success=1 default=ignore] pam_krb5.so ignore_root try_first_pass
auth required pam_unix.so try_first_pass likeauth nullok
auth optional pam_permit.so
-
account [success=1 default=ignore] pam_krb5.so ignore_root try_first_pass
account required pam_unix.so
account optional pam_permit.so
-
password required pam_cracklib.so difok=2 minlen=8 dcredit=2 ocredit=2 retry=3
password [success=1 default=ignore] pam_krb5.so ignore_root try_first_pass
password required pam_unix.so try_first_pass use_authtok nullok sha512 shadow
password optional pam_permit.so
-
session optional pam_ssh.so
session required pam_limits.so
session required pam_env.so
auth required pam_nologin.so
auth include system-auth
auth optional pam_gnome_keyring.so
-
account required pam_access.so
account required pam_nologin.so
account include system-auth
account required pam_tally2.so onerr=succeed
-
password include system-auth
password optional pam_gnome_keyring.so
-
session optional pam_loginuid.so
session required pam_env.so
session optional pam_lastlog.so silent
session optional pam_gnome_keyring.so auto_start
session optional pam_motd.so motd=/etc/motd
session optional pam_mail.so
-
=dev-java/oracle-jre-bin-1.7*
#~dev-libs/icu-51.2
+~dev-libs/libgit2-0.22.2
~dev-libs/libgit2-glib-0.22.8
#required by www-client/firefox-13.0, required by @selected, required by @world (argument)
#~dev-libs/nspr-4.9.1
~dev-util/kbuild-0.1.9998_pre20131130
#~dev-vcs/gitg-0.2.5
-~dev-vcs/gitg-0.2.7
-~dev-vcs/gitg-3.16.1
+#~dev-vcs/gitg-0.2.7
+#~dev-vcs/gitg-3.16.1
~kde-misc/kio-mtp-0.75_p20141221
~net-libs/libvncserver-0.9.9
~net-libs/libtirpc-0.2.5
~net-libs/ortp-0.22.0
+~net-libs/webkit-gtk-2.6.6
#~net-print/hplip-3.13.8
# move kde-base/juk kde-apps/juk
kde-apps/juk tunepimp
# move kde-base/kopete kde-apps/kopete
-kde-apps/kopete addbookmarks alias autoreplace connectionstatus contactnotes gadu groupwise highlight history irc latex netmeeting nowlistening oscar sametime sms statistics testbed texteffect translator webpresence winpopup wlm
+kde-apps/kopete addbookmarks alias autoreplace connectionstatus contactnotes gadu groupwise highlight history irc -jingle latex netmeeting nowlistening oscar sametime sms statistics testbed texteffect translator webpresence winpopup wlm
# move kde-base/krdc kde-apps/krdc
kde-apps/krdc rdp vnc
# move kde-base/kstars kde-apps/kstars
media-video/mplayer 3dnowext amrnb amrwb bs2b bl cpudetection dvdnav enca gmplayer live lzo md5sum mmxext mp2 nemesi nut opencore-amr pvr rar rtc srt teletext tga tivo xanim xvmc
media-video/totem iplayer -tracker upnp-av
media-video/transcode extrafilters fame lzo mjpeg network nuv postproc
-media-video/vlc atmo cdda cddax cdio chromaprint corba daap dc1394 dirac egl faad fbosd fluidsynth gme growl httpd kate libass libcaca libtar libtiger libv4l libv4l2 linsys live matroska mod mpeg omxil opencv portaudio rdp rtsp schroedinger sftp shine shout skins stream switcher taglib tremor twolame vcdinfo vcdx vlm vnc zvbi
+media-video/vlc atmo cdda cddax cdio chromaprint corba daap dc1394 dirac egl faad fbosd fluidsynth gme growl httpd kate libass libcaca libtar libtiger libv4l libv4l2 linsys live matroska mod mpeg omxil opencv portaudio -rdp rtsp schroedinger sftp shine shout skins stream switcher taglib tremor twolame vcdinfo vcdx vlm vnc zvbi
net-analyzer/nagios-nrpe command-args
net-analyzer/nagios-plugins nagios-dns nagios-ntp nagios-ping nagios-ssh
+++ /dev/null
-# Copyright 1999-2009 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License, v2 or later
-# $Header: /var/cvsroot/gentoo-x86/app-shells/bash-completion/files/bash-completion.sh-gentoo-1.2,v 1.1 2010/07/02 15:07:33 darkside Exp $
-
-# Check for interactive bash and that we haven't already been sourced.
-[ -z "$BASH_VERSION" -o -z "$PS1" -o -n "$BASH_COMPLETION" ] && return
-
-# Check for recent enough version of bash.
-bash=${BASH_VERSION%.*}; bmajor=${bash%.*}; bminor=${bash#*.}
-if [ $bmajor -gt 3 ] || [ $bmajor -eq 3 -a $bminor -ge 2 ]; then
- _load_completions() {
- declare f x loaded_pre=false
- for f; do
- if [[ -f $f ]]; then
- # Prevent loading base twice, initially and via glob
- if $loaded_pre && [[ $f == */base ]]; then
- continue
- fi
-
- # Some modules, including base, depend on the definitions
- # in .pre. See the ebuild for how this is created.
- if ! $loaded_pre; then
- if [[ ${BASH_COMPLETION-unset} == unset ]]; then
- BASH_COMPLETION="/usr/share/bash-completion/base"
- fi
- source "/usr/share/bash-completion/.pre"
- loaded_pre=true
- fi
-
- source "$f"
- fi
- done
-
- # Clean up
- $loaded_pre && source "/usr/share/bash-completion/.post"
- unset -f _load_completions # not designed to be called more than once
- }
-
- # 1. Load base, if eselected. This was previously known as
- # /etc/bash_completion
- # 2. Load completion modules, maintained via eselect bashcomp --global
- # 3. Load user completion modules, maintained via eselect bashcomp
- # 4. Load user completion file last, overrides modules at user discretion
- # This order is subject to change once upstream decides on something.
- _load_completions \
- "/etc/bash_completion.d/base" \
- ~/.bash_completion.d/base \
- "/etc/bash_completion.d/"* \
- ~/.bash_completion.d/* \
- ~/.bash_completion
-fi
-unset bash bmajor bminor
#SSD_NICELEVEL="-19"
# Pass ulimit parameters
+# If you are using bash in POSIX mode for your shell, note that the
+# ulimit command uses a block size of 512 bytes for the -c and -f
+# options
#rc_ulimit="-u 30"
# It's possible to define extra dependencies for services like so
# LINUX SPECIFIC OPTIONS
# This is the subsystem type. Valid options on Linux:
-# "" - nothing special
-# "lxc" - Linux Containers
-# "openvz" - Linux OpenVZ
-# "prefix" - Prefix
-# "uml" - Usermode Linux
-# "vserver" - Linux vserver
-# "xen0" - Xen0 Domain
-# "xenU" - XenU Domain
+# "" - nothing special
+# "lxc" - Linux Containers
+# "openvz" - Linux OpenVZ
+# "prefix" - Prefix
+# "uml" - Usermode Linux
+# "vserver" - Linux vserver
+# "systemd-nspawn" - Container created by the systemd-nspawn utility
+# "xen0" - Xen0 Domain
+# "xenU" - XenU Domain
# If this is commented out, automatic detection will be used.
#
# This should be set to the value representing the environment this file is
+++ /dev/null
-SEARCH_DIRS_MASK="/opt/oracle-jre-bin-1.8.0.45"
--- /dev/null
+/etc/init.d/binfmt
\ No newline at end of file
+++ /dev/null
-SANDBOX_PREDICT="/dev/random:/proc/self/coredump_filter"
+++ /dev/null
-# Uncomment the following three lines to start libvirtd with the '--listen'
-# directive such that it listens for TCP/IP connections (honoring the
-# listen_tls and listen_tcp settings in /etc/libvirt/libvirtd.conf). If
-# libvirtd is started without the '--listen' parameter, network connection
-# (for the daemon) is globally disabled:
-
-# [Service]
-# ExecStart=
-# ExecStart=/usr/sbin/libvirtd --listen
-
--- /dev/null
+# Uncomment the following three lines to start libvirtd with the '--listen'
+# directive such that it listens for TCP/IP connections (honoring the
+# listen_tls and listen_tcp settings in /etc/libvirt/libvirtd.conf). If
+# libvirtd is started without the '--listen' parameter, network connection
+# (for the daemon) is globally disabled:
+
+# [Service]
+# ExecStart=
+# ExecStart=/usr/sbin/libvirtd --listen
+
80jadetex.cnf
./updmap.d:
-.keep_app-text_texlive-core-0
00updmap.cfg
+.keep_app-text_texlive-core-0
texlive-basic.cfg
texlive-context.cfg
texlive-fontsextra.cfg
texlive-science.cfg
./web2c:
-.keep_app-text_texlive-core-0
fmtutil.cnf
+.keep_app-text_texlive-core-0
texmf.cnf
updmap.cfg
Terminal=false
Type=Application
NoDisplay=true
-NotShowIn=KDE;
+NotShowIn=KDE;GNOME;
X-GNOME-Bugzilla-Bugzilla=GNOME
X-GNOME-Bugzilla-Product=NetworkManager
X-GNOME-Bugzilla-Component=nm-applet
--- /dev/null
+qt4-x86_64-pc-linux-gnu.conf
\ No newline at end of file
--- /dev/null
+qt4.conf
\ No newline at end of file
--- /dev/null
+/usr/lib32/qt4/bin
+/usr/lib32/qt4
--- /dev/null
+/usr/lib64/qt4/bin
+/usr/lib64/qt4
--- /dev/null
+qt4-x86_64-pc-linux-gnu.conf
\ No newline at end of file